#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QNetworkAccessManager>

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow {
    Q_OBJECT
public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

protected:
    void changeEvent(QEvent *e);


private:
    void get_image(const QString & s);
    Ui::MainWindow *ui;
    QString file_;
    bool reload_;
    void load_image();
    void reload_image();

private slots:
    void on_action_Ouvrir_triggered();
    void on_actionRechargement_toggled(bool );
    void display_image(const QPixmap &);
    void replyFinished(QNetworkReply * reply);
    void update_status();
    void on_action_A_propos_triggered();
};

#endif // MAINWINDOW_H
